/**
* extension.js
* Copyright (C) 2011, Roberto C. Morano <rcmova@gmail.com>
* 
* This software is free software; you can redistribute it and/or modify
* it under the terms of the GNU General Public License as published by
* the Free Software Foundation; either version 2 of the License, or
* (at your option) any later version.
* 
* This software is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU General Public License for more details.
* 
* You should have received a copy of the GNU General Public License
* along with this library; if not, write to the Free Software
* Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
*
* As a special exception, if you link this library with other files to
* produce an executable, this library does not by itself cause the
* resulting executable to be covered by the GNU General Public License.
* This exception does not however invalidate any other reasons why the
* executable file might be covered by the GNU General Public License.
*/

const StatusIconDispatcherOrig = imports.ui.statusIconDispatcher;
const Main = imports.ui.main;
const Signals = imports.signals;
const PanelMenu = imports.ui.panelMenu;

const STANDARD_TRAY_ICON_IMPLEMENTATIONS = imports.ui.statusIconDispatcher.STANDARD_TRAY_ICON_IMPLEMENTATIONS;
const PANEL_ICON_SIZE = imports.ui.panel.PANEL_ICON_SIZE

function StatusIconDispatcher() {
    this._init();
}

StatusIconDispatcher.prototype = {
    _init: StatusIconDispatcherOrig.StatusIconDispatcher.prototype._init,

    start: StatusIconDispatcherOrig.StatusIconDispatcher.prototype.start,
	_onTrayIconRemoved: StatusIconDispatcherOrig.StatusIconDispatcher.prototype._onTrayIconRemoved,
	_onTrayIconAdded: function(o, icon) {


        let wmClass = (icon.wm_class || 'unknown').toLowerCase();
        let role = STANDARD_TRAY_ICON_IMPLEMENTATIONS[wmClass];
        if (role)
            this.emit('status-icon-added', icon, role);
        else
            if ( wmClass == "classicmenu-indicator" ) {
                global.log(wmClass);
//                Main.panel._leftBox.remove_actor(Main.panel._activitiesButton.actor);
                icon.height = PANEL_ICON_SIZE;
                let buttonBox = new PanelMenu.ButtonBox();
                let box = buttonBox.actor;
                box.add_actor(icon);
                Main.panel._leftBox.insert_actor(box, 0);
            }
            this.emit('message-icon-added', icon);
    },
};

Signals.addSignalMethods(StatusIconDispatcher.prototype);

function main(meta) {

	Main.statusIconDispatcher = new StatusIconDispatcher();
	Main.statusIconDispatcher.start(Main.messageTray.actor);
}

function init() {
}

function enable(meta) {
    main(meta);
}

function disable() {
}
